Package Details: orbiter2016-git r560.01aaeb02-4

Git Clone URL: https://aur.archlinux.org/orbiter2016-git.git (read-only, click to copy)
Package Base: orbiter2016-git
Description: Orbiter Space Flight Simulator
Upstream URL: http://orbit.medphys.ucl.ac.uk/index.html
Keywords: flight game orbiter satellite simulation simulator space
Licenses: MIT
Submitter: Mr.Smith1974
Maintainer: Mr.Smith1974 (FabioLolix)
Last Packager: Mr.Smith1974
Votes: 3
Popularity: 0.007051
First Submitted: 2023-07-02 09:10 (UTC)
Last Updated: 2023-09-07 16:27 (UTC)

Pinned Comments

Mr.Smith1974 commented on 2023-07-23 07:39 (UTC)

To successfully build this package please disable -Werror=format-security in /etc/makepkg.conf

Latest Comments

Mr.Smith1974 commented on 2024-02-05 03:48 (UTC) (edited on 2024-02-05 03:49 (UTC) by Mr.Smith1974)

https://www.orbiter-forum.com/threads/linux-playground.40476/post-615715

Notes on the build:

Moving the Orbiter installation out of user space ($HOME/) to a folder like /usr causes Orbiter to not have enough permissions to run and write to disk (scenario saves, joystick drivers, etc.). For some reason the Orbiter shortcut (located in /usr/share/applications) points to $HOME/.cache/yay/orbiter2016-git instead of /usr/Orbiter/Orbiter.

elimik31 commented on 2023-09-07 14:51 (UTC)

This requires glfw-x11 but I have glfw-wayland installed instead and they are not compatible. Can this in any way built with glfw-wayland and if so, can the PKGBUILD be adapted?

Mr.Smith1974 commented on 2023-07-23 07:39 (UTC)

To successfully build this package please disable -Werror=format-security in /etc/makepkg.conf

FabioLolix commented on 2023-07-19 16:22 (UTC)

Please revert pkgver(), date should be used as last resort

Mr.Smith1974 commented on 2023-07-04 06:17 (UTC)

@FabioLolix Thank you very much! I updated the build.

FabioLolix commented on 2023-07-04 05:39 (UTC)

Hello, this pkgbuild is double broken for me (can't find Orbitersdk.h at the first run, then fail for another reason) and need a revision